[leaf-commits] devel/davidmbrooke/src/bering-uclibc4/source/dibbler buildtool.cfg, NONE, 1.1 buildtool.mk, NONE, 1.1 dibbler-0.8.0RC1-src.tar.gz, NONE, 1.1 dibbler-client.init, NONE, 1.1 dibbler-relay.init, NONE, 1.1 dibbler-server.init, NONE, 1.1 append-to-sources.local, NONE, 1.1

david M brooke <[email protected]> Mon, 03 Jan 2011 14:22:24 +0000
Newsgroups gmane.linux.leaf.cvs
Message-ID <[email protected]>
Update of /cvsroot/leaf/devel/davidmbrooke/src/bering-uclibc4/source/dibbler
In directory sfp-cvsdas-2.v30.ch3.sourceforge.com:/tmp/cvs-serv25099

Added Files:
	buildtool.cfg buildtool.mk dibbler-0.8.0RC1-src.tar.gz 
	dibbler-client.init dibbler-relay.init dibbler-server.init 
	append-to-sources.local 
Log Message:
Initial check-in

--- NEW FILE: append-to-sources.local ---

<Server cvs4-sourceforge-devel-davidmbrooke>
	Type = viewcvs
	Name = leaf.cvs.sourceforge.net
	Serverpath = /leaf/devel/davidmbrooke/src/bering-uclibc4/source
</Server>

<Package dibbler>
	Server = cvs4-sourceforge-devel-davidmbrooke
	Directory = dibbler
	Revision = HEAD
	Description = Dibbler is a portable DHCPv6 implementation.
	<Requires>
		Name = buildenv
		Name = lpthread
	</Requires>
</Package>


--- NEW FILE: dibbler-relay.init ---
#!/bin/sh
#
# /etc/init.d/dibbler-relay: start and stop dibbler DHCPv6 relay
#
RCDLINKS="0,K59 2,S41"

PATH=/sbin:/bin:/usr/sbin:/usr/bin

# Check for existence of daemon executables
[ -x /usr/sbin/dibbler-relay ] || exit 2

RETVAL=0

# See how we were called
case "$1" in
  start)
	echo -n "Starting dibbler-relay: "
	/usr/sbin/dibbler-relay start
	RETVAL=$?
	if [ $RETVAL == "0" ]; then
	    echo "succeeded."
	else
	    echo "failed."
	fi
        ;;
  stop)
	echo -n "Shutting down dibbler-relay: "
	/usr/sbin/dibbler-relay stop
	RETVAL=$?
	if [ $RETVAL == "0" ]; then
	    echo "succeeded."
	else
	    echo "failed."
	fi
        ;;
  restart)
        $0 stop
	sleep 1
	$0 start
        ;;
  *)
        echo $"Usage: $0 {start|stop|restart}"
        exit 1
esac

exit 0

--- NEW FILE: dibbler-0.8.0RC1-src.tar.gz ---
(This appears to be a binary file; contents omitted.)

--- NEW FILE: buildtool.mk ---
#############################################################
#
# buildtool makefile for dibbler
#
#############################################################

include $(MASTERMAKEFILE)

DIBBLER_DIR:=$(shell $(BT_TGZ_GETDIRNAME) $(DIBBLER_SOURCE) 2>/dev/null )
ifeq ($(DIBBLER_DIR),)
DIBBLER_DIR:=$(shell cat DIRNAME)
endif
DIBBLER_TARGET_DIR:=$(BT_BUILD_DIR)/dibbler

$(DIBBLER_DIR)/.source:
	zcat $(DIBBLER_SOURCE) | tar -xvf -
	echo $(DIBBLER_DIR) > DIRNAME
	# Remove debuging parameters
	( cd $(DIBBLER_DIR) ; perl -i -p -e 's,-pedantic,,'	Makefile.inc )
	( cd $(DIBBLER_DIR) ; perl -i -p -e 's,-g,,'		Makefile.inc )
	( cd $(DIBBLER_DIR) ; perl -i -p -e 's,-lefence,,'	Makefile.inc )
	# Move installed files out from under /usr/local
	( cd $(DIBBLER_DIR) ; perl -i -p -e 's,local/,,'	Makefile.inc )
	touch $(DIBBLER_DIR)/.source

source: $(DIBBLER_DIR)/.source

$(DIBBLER_DIR)/.build: $(DIBBLER_DIR)/.source
	mkdir -p $(DIBBLER_TARGET_DIR)
	mkdir -p $(BT_STAGING_DIR)/usr/sbin/
	mkdir -p $(BT_STAGING_DIR)/etc/dibbler/
	make CC=$(TARGET_CC) LD=$(TARGET_LD) -C $(DIBBLER_DIR) all
	make DESTDIR=$(DIBBLER_TARGET_DIR) -C $(DIBBLER_DIR) install
	$(BT_STRIP) $(BT_STRIP_BINOPTS) $(DIBBLER_TARGET_DIR)/usr/sbin/*
	cp -a $(DIBBLER_TARGET_DIR)/usr/sbin/* $(BT_STAGING_DIR)/usr/sbin/
	cp -a $(DIBBLER_TARGET_DIR)/etc/dibbler/client.conf $(BT_STAGING_DIR)/etc/dibbler/
	cp -a $(DIBBLER_TARGET_DIR)/etc/dibbler/relay.conf $(BT_STAGING_DIR)/etc/dibbler/
	cp -a $(DIBBLER_TARGET_DIR)/etc/dibbler/server.conf $(BT_STAGING_DIR)/etc/dibbler/
	cp dibbler-server.init $(BT_STAGING_DIR)/etc/init.d/dibbler-server
	cp dibbler-relay.init $(BT_STAGING_DIR)/etc/init.d/dibbler-relay
	cp dibbler-client.init $(BT_STAGING_DIR)/etc/init.d/dibbler-client
	touch $(DIBBLER_DIR)/.build

build: $(DIBBLER_DIR)/.build

clean:
	make -C $(DIBBLER_DIR) clean
	rm -rf $(DIBBLER_TARGET_DIR)
	-rm $(DIBBLER_DIR)/.build

srcclean: clean
	rm -rf $(DIBBLER_DIR) 
	rm DIRNAME


--- NEW FILE: dibbler-server.init ---
#!/bin/sh
#
# /etc/init.d/dibbler-server: start and stop dibbler DHCPv6 server
#
RCDLINKS="0,K60 2,S40"

PATH=/sbin:/bin:/usr/sbin:/usr/bin

# Check for existence of daemon executables
[ -x /usr/sbin/dibbler-server ] || exit 2

RETVAL=0

# See how we were called
case "$1" in
  start)
	echo -n "Starting dibbler-server: "
	/usr/sbin/dibbler-server start
	RETVAL=$?
	if [ $RETVAL == "0" ]; then
	    echo "succeeded."
	else
	    echo "failed."
	fi
        ;;
  stop)
	echo -n "Shutting down dibbler-server: "
	/usr/sbin/dibbler-server stop
	RETVAL=$?
	if [ $RETVAL == "0" ]; then
	    echo "succeeded."
	else
	    echo "failed."
	fi
        ;;
  restart)
        $0 stop
	sleep 1
	$0 start
        ;;
  *)
        echo $"Usage: $0 {start|stop|restart}"
        exit 1
esac

exit 0

--- NEW FILE: buildtool.cfg ---
<File buildtool.mk>
  Server = cvs4-sourceforge-devel-davidmbrooke
  Revision = HEAD
  Directory = dibbler
</File>

<File dibbler-0.8.0RC1-src.tar.gz>
  Server = cvs4-sourceforge-devel-davidmbrooke
  Revision = HEAD
  envname = DIBBLER_SOURCE
  Directory = dibbler
</File>

<File dibbler-server.init>
  Server = cvs4-sourceforge-devel-davidmbrooke
  Revision = HEAD
  Directory = dibbler
</File>

<File dibbler-relay.init>
  Server = cvs4-sourceforge-devel-davidmbrooke
  Revision = HEAD
  Directory = dibbler
</File>

<File dibbler-client.init>
  Server = cvs4-sourceforge-devel-davidmbrooke
  Revision = HEAD
  Directory = dibbler
</File>


<Package>
	<dibbler-server>
		Version = 0.8.0RC1
		Revision = 1

		Help <<EOF
		Dibbler is a portable DHCPv6 implementation.
		This package provides dibbler-server
		Homepage: http://klub.com.pl/dhcpv6/
		Requires: lpthread.lrp, libcxx.lrp
		LEAF package by __PACKAGER__, __BUILDDATE__		
		EOF
		
		<Permissions>
			Files = 644
			Directories = 755
		</Permissions>

		<Owner>
			Files = root:root
			Directories = root:root
		</Owner>
		
		<Contents>
			<File>
				Filename	= etc/dibbler/server.conf
				Source    	= etc/dibbler/server.conf
				Description	= dibbler-server configuration
				Type		= conf
				Type		= local
				Type		= binary
				Permissions	= 600
			</File>                 
			<File>
				Filename	= etc/init.d/dibbler-server
				Source		= etc/init.d/dibbler-server
				Description	= dibbler server init file 
				Type		= binary
				Permissions	= 755
			</File>
			<File>
				Source          = usr/sbin/dibbler-server
				Filename        = usr/sbin/dibbler-server
				Type            = binary
				Permissions	= 755
			</File>		
			<File>
				Filename        = var/lib/dibbler
				Type		= directory
			</File>		
		</Contents>			
	</dibbler-server>

	<dibbler-relay>
		Version = 0.8.0RC1
		Revision = 1

		Help <<EOF
		Dibbler is a portable DHCPv6 implementation.
		This package provides dibbler-relay
		Homepage: http://klub.com.pl/dhcpv6/
		Requires: lpthread.lrp, libcxx.lrp
		LEAF package by __PACKAGER__, __BUILDDATE__		
		EOF
		
		<Permissions>
			Files = 644
			Directories = 755
		</Permissions>

		<Owner>
			Files = root:root
			Directories = root:root
		</Owner>
		
		<Contents>
			<File>
				Filename	= etc/dibbler/relay.conf
				Source    	= etc/dibbler/relay.conf
				Description	= dibbler-relay configuration
				Type		= conf
				Type		= local
				Type		= binary
				Permissions	= 600
			</File>                 
			<File>
				Filename	= etc/init.d/dibbler-relay
				Source		= etc/init.d/dibbler-relay
				Description	= dibbler relay init file 
				Type		= binary
				Permissions	= 755
			</File>
			<File>
				Source          = usr/sbin/dibbler-relay
				Filename        = usr/sbin/dibbler-relay
				Type            = binary
				Permissions	= 755
			</File>		
			<File>
				Filename        = var/lib/dibbler
				Type		= directory
			</File>		
		</Contents>			
	</dibbler-relay>

	<dibbler-client>
		Version = 0.8.0RC1
		Revision = 1

		Help <<EOF
		Dibbler is a portable DHCPv6 implementation.
		This package provides dibbler-client
		Homepage: http://klub.com.pl/dhcpv6/
		Requires: lpthread.lrp, libcxx.lrp
		LEAF package by __PACKAGER__, __BUILDDATE__		
		EOF
		
		<Permissions>
			Files = 644
			Directories = 755
		</Permissions>

		<Owner>
			Files = root:root
			Directories = root:root
		</Owner>
		
		<Contents>
			<File>
				Filename	= etc/dibbler/client.conf
				Source    	= etc/dibbler/client.conf
				Description	= dibbler-client configuration
				Type		= conf
				Type		= local
				Type		= binary
				Permissions	= 600
			</File>                 
			<File>
				Filename	= etc/init.d/dibbler-client
				Source		= etc/init.d/dibbler-client
				Description	= dibbler client init file 
				Type		= binary
				Permissions	= 755
			</File>
			<File>
				Source          = usr/sbin/dibbler-client
				Filename        = usr/sbin/dibbler-client
				Type            = binary
				Permissions	= 755
			</File>		
			<File>
				Filename        = var/lib/dibbler
				Type		= directory
			</File>		
		</Contents>			
	</dibbler-client>
</Package>

--- NEW FILE: dibbler-client.init ---
#!/bin/sh

exit


------------------------------------------------------------------------------
Learn how Oracle Real Application Clusters (RAC) One Node allows customers
to consolidate database storage, standardize their database environment, and, 
should the need arise, upgrade to a full multi-node Oracle RAC database 
without downtime or disruption
http://p.sf.net/sfu/oracle-sfdevnl